#include <windows.h>
#include "ADSfile.h"
#include "ADSparse.h"
#include <stdio.h>

/************************* WinMain Method *************************/
int WINAPI WinMain(
    HINSTANCE   hInst,
    HINSTANCE   hInstPrev,
    LPTSTR      lpszCmdLine,
    int         nCmdShow)
{
	DEBUGMSG(TRUE, (_T("\r\nStarting ADSReg...\r\n")));
	ADSFile  regfile(lpszCmdLine);
	CADSparse parser(&regfile);
	CKeyEntry *keylist = parser.ParseFile();
	parser.UpdateRegistry(keylist);
	DEBUGMSG(TRUE, (_T("Done.\r\n")));

	return 0;
}
